All docs
V21.1
21.2
21.1
20.2
20.1
19.2
The page you are viewing does not exist in version 19.2. This link will take you to the root page.
19.1
The page you are viewing does not exist in version 19.1. This link will take you to the root page.
18.2
The page you are viewing does not exist in version 18.2. This link will take you to the root page.
18.1
The page you are viewing does not exist in version 18.1. This link will take you to the root page.
17.2
The page you are viewing does not exist in version 17.2. This link will take you to the root page.

Supported Versions

DevExtreme Angular
v21.1.x >7.0.0
v20.2.x >7.0.0
v20.1.x >7.0.0
v19.2.x >6.0.0 <=11.X.X
v19.1.x >5.0.0 <=9.X.X
(without Ivy support)
v18.2.x >5.0.0 <=7.X.X
v18.1.x >5.0.0 <=7.X.X
v17.2.x >2.4.2 <=5.X.X